##
# Extract and provide JetBrain's RubyMine as an app in /opt:
class badstation::apps::rubymine(
  $product_ver = "7.0.2",
  $product_name = "RubyMine",
  $extension = ".tar.gz",
  $source_url_base = "http://download.jetbrains.com/ruby/",  
) 
{
  $source_url = "${source_url_base}${product_name}-${product_ver}${extension}"
  include badstation::apps
  # TODO: How to make this follow latest release?
  # Get a copy of RubyMine from:
  # http://download.jetbrains.com/ruby/RubyMine-7.0.2.tar.gz
  exec {'download rubymine':
    path => "/opt",
    command => "/usr/bin/wget ${source_url} -O RubyMine.tar.gz",
  }
  exec {'extract rubymine':
    command => "/bin/tar -xvf RubyMine.tar.gz",
    path => "/opt",
    require => Exec['download rubymine']
  }
  
  file {'/opt/RubyMine':
    ensure => 'directory',
    require => Exec["extract rubymine"]
  }
  
}