##
# BadQuanta's eclipse config:
class badstation::gui::badeclipse(
  $java = true,
  $remote = true,
  $anyedit = true,
  $c = false,
  $cpp = false,
  $git = true,
  $mylyn = true,
  $rcp = true,
) {
  Package{
    ensure => 'latest',
  }
  ##
  # Always include eclpise
  package{'eclipse':}
  ##
  # Conditionally include the rest, like Java
  if($java){package{'eclipse-jdt':}}
  ##
  # Remote System Explorer support?
  if($remote){package{'eclipse-rse':}}
  ##
  # CDT if C or C++
  if($c or $cpp){
    ##
    # All these core packages
    package{[
      'eclipse-cdt',
      'eclipse-cdt-autotools',
      'eclipse-cdt-jni',
      'eclipse-cdt-perf',
      'eclipse-cdt-pkg-config',
      'eclipse-cdt-qt',
      'eclipse-cdt-valgrind',
    ]:}
  }
  ##
  # And these if remote support
  if($remote){
    package{[
      'eclipse-cdt-profiling-framework-remote',
      'eclipse-cdt-launch-remote',
      'eclipse-cdt-valgrind-remote',
    ]:}
  }
  ##
  # Want GIT support?
  if($git){
    ##
    # You'll need this.
    package{'eclipse-egit':}
    ##
    # But if you also use mylyn, you'll also want
    if($mylyn){package{'eclipse-egit-mylyn':}}
  }
  ##
  # What about RCP?
  if($rcp){package{'eclipse-rcp':}}
  
}
