##
# A class/module that contains the def of people.
define badstation::ppl(
  ## Username:
  $username = nil,
  ## Full-name:
  $fullname = nil,
  ## Minimum list of groups to be a member of:
  $minimum_groups = ['adm','vagrant','cdrom','dip','plugdev','lpadmin','sambashare'],
  ## User's Shell:
  $user_shell = '/bin/bash',
  ## Give the user RVM?
  $give_rvm = true,
  ## Give the user SUDO?
  $give_sudo = false,
  ## Syncronize a user's home directory with the authority? 
  $sync_home = true,
  ## Encrypted Password String (required):
  $password
# The "login" name:    
) { 
  ## If the username is not specified, extract it from the $title
  if ($username == nil) {
    $title_parts = split($title, ':')
    $_USERNAME = $title_parts[-1]    
  } else {
    $_USERNAME = $username
  }
  ## If the fullname is blank, use the $_username value
  if ($fullname == nil) {
    $_FULLNAME = $_USERNAME
  }
  ##
  # Define a Virtual user, so that we might optionally augment it furhter:
  @user { $_USERNAME:
    password => $password,
    managehome => true,
    membership => 'minimum',
    groups => $minimum_groups,
    comment => $fullname,
	  shell => $user_shell,
  }
  ##
  # Maybe give the user RVM access?
  if $give_rvm {
    include badstation::badrvm
    User <|title == $_USERNAME|> { groups +> "rvm"}
  } else {
    notify{"$_USERNAME does not get Ruby Version Manager":}
  }
  ##
  # Ensure the user is added to the group "sudo" if $sudo
  if $give_sudo {
    include badstation::badsudo
    User <|title == $_USERNAME|> { groups +> "sudo"}
  } else {
    notify{"$_USERNAME does not get Super User Privileges":}
  }
  ##
  # Ensure the user gets all the home stuff
  if $sync_home {
    file { "/home/${_USERNAME}" :
      source  =>      "puppet:///modules/badstation/home_authority/${_USERNAME}",
      recurse =>      true,
      purge   =>      false,
    }
  }
}
