# == Class: badstation
#
# When BadQuanta organizes his virtual machine catalog, these are the things that
# they all seem to share.
#
# === Parameters
#
# Document parameters here.
#
# [*sample_parameter*]
#   Explanation of what this parameter affects and what it defaults to.
#   e.g. "Specify one or more upstream ntp servers as an array."
#
# === Variables
#
# Here you should define a list of variables that this module would require.
#
# [*sample_variable*]
#   Explanation of how this variable affects the funtion of this class and if
#   it has a default. e.g. "The parameter enc_ntp_servers must be set by the
#   External Node Classifier as a comma separated list of hostnames." (Note,
#   global variables should be avoided in favor of class parameters as
#   of Puppet 2.6.)
#
# === Examples
#
#  class { badstation:
#    servers => [ 'pool.ntp.org', 'ntp.local.company.com' ],
#  }
#
# === Authors
#
# Author Name <author@domain.com>
#
# === Copyright
#
# Copyright 2014 Your name here, unless otherwise noted.
#
class badstation {
  ##
  # I like to see the last time puppet ran when I login:
  include badstation::motd
  ##
  # I like to take control of sudo
  include badstation::badsudo
  ##
  # I like to use debian based systems:
  include badstation::debian
  ##
  # I like to keep systems up-to-date, but this should be done first usually.
  include badstation::debian::dist_upgrade
  ##
  # All systems need these basic packages that I like.
  include badstation::essentials
  ##
  # Java Runtime:
  include badstation::badjava
  ##
  # Optionally include virtualbox
  if $::is_virtual {
  	include badstation::virtualbox
  } else {
    notify {"Excluding virtualbox additions because box reports it is hardware.":}
  }
  	 
}
