##
# A class/module that contains the def of people.
define badstation::ppl(
# The "login" name:    
  $login = nil, 
  $password,
  $fullname = $title,
  $groups = ['adm','vagrant','cdrom','dip','plugdev','lpadmin','sambashare'],
  $rvm = true,
  $sudo = false,
  $shell = '/bin/bash',
  $eclipse = ['jdt','egit'],
) { 
  $title_parts = split($title, ':')
  if ($login == nil) {
    $login = $title_parts[-1]    
  } 
  ##
  # Define that damn user.
  @user { $login:
    password => $password,
    managehome => true,
    membership => 'minimum',
    groups => $groups,
    comment => $fullname,
	shell => $shell,
  }
  ##
  # Maybe give the user RVM access?
  if $rvm {
    notify{"$login gets Ruby Version Manager":}
    include badstation::badrvm
    User <|title == $login|> { groups +> "rvm"}
  } else {
    notify{"$login does not get Ruby Version Manager":}
  }
  ##
  # Ensure the user is added to the group "sudo" if $sudo
  if $sudo {
    notify{"$login gets Super User Privileges":}
    include badstation::badsudo
    User <|title == $login|> { groups +> "sudo"}
  } else {
    notify{"$login does not get Super User Privileges":}
  }
}
